You're right, I've got the "Install" button because it was my first upgrade on myxwiki.org.

I have discovered the Extension Manager some days ago: it's great!

regards and thanks for your help,

Note: I will have to redo some of my seetings because I accept most of the "coming" updates ;-(

Le 02/04/2013 07:56, Marius Dumitru Florea a écrit :
On Tue, Apr 2, 2013 at 12:32 AM, Ldm Public <ldm...@gmail.com> wrote:
Hello,

Thanks for your answer.

That's excatly what I have done: upgrade to 4.5.3-SNAPSHOT (like displayed
in the top admin message in my wiki on myxwiki.org) with extension manager.
I've used the advanced search with
"org.xwiki.enterprise:xwiki-enterprise-ui" for Extension ID and
"4.5.3-SNAPSHOT" for Version.

I tried again today and after a lot of conflicts resolutions (I'm really
surprise to see so many changes) => the upgrade is OK !
Is it the first time you upgrade your wiki using the Extension
Manager? Actually, what button did you get: Install or Upgrade? If
it's the first time (Install button) then you got so many conflicts
because the Extension Manager couldn't perform automatic 3-way merges
since you didn't have a previous version of XWiki Enterprise UI
installed (the wiki pages were there but the extension index didn't
include the XWiki Enterprise UI extension). Next time you perform the
upgrade (Upgrade button) you shouldn't get any merge conflicts, or
very few. For instance, when I upgraded xwiki.org main wiki from
version 4.3 to 4.5.2 I didn't get any (i.e. all conflicts were
resolved automatically).

Hope this helps,
Marius


regards,

Le 01/04/2013 14:40, Marius Dumitru Florea a écrit :
Can you try to upgrade to version 4.5.3-SNAPSHOT (the last
4.5.3-SNAPSHOT is practically the same as the 4.5.3 final)? Use the
advanced extension search.

Hope this helps,
Marius

On Fri, Mar 29, 2013 at 7:45 PM, Ldm Public <ldm...@gmail.com> wrote:
Hello,

I've seen the message in my Wiki admin page on xwiki.org : "*March 29,
2013:
XWiki has been upgraded to version 4.5.3-SNAPSHOT"*

I've tried to perform the updgrade with extension manager but I receive
the
following error :

Dependency
[org.xwiki.platform:xwiki-platform-rendering-macro-velocity-4.5.3] is not
compatible with core extension

[org.xwiki.platform:xwiki-platform-rendering-macro-velocity-4.5.3-SNAPSHOT]
class org.xwiki.extension.InstallException: Failed to resolve extension
...

Regards,
_______________________________________________
users mailing list
users@xwiki.org
http://lists.xwiki.org/mailman/listinfo/users
_______________________________________________
users mailing list
users@xwiki.org
http://lists.xwiki.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@xwiki.org
http://lists.xwiki.org/mailman/listinfo/users
_______________________________________________
users mailing list
users@xwiki.org
http://lists.xwiki.org/mailman/listinfo/users


_______________________________________________
users mailing list
users@xwiki.org
http://lists.xwiki.org/mailman/listinfo/users

Reply via email to